aboutsummaryrefslogtreecommitdiffstats
path: root/main/targetcli/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2014-09-30 13:05:22 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2014-09-30 14:20:55 +0000
commitcfbbed5577d18e977bfa3882d51de55b1a891c16 (patch)
tree78efa7e26600b0324ab12d7452f65180839d56bb /main/targetcli/APKBUILD
parent69f29847f331aeca93726ced67901533fee97fa8 (diff)
downloadaports-cfbbed5577d18e977bfa3882d51de55b1a891c16.tar.gz
aports-cfbbed5577d18e977bfa3882d51de55b1a891c16.tar.bz2
aports-cfbbed5577d18e977bfa3882d51de55b1a891c16.tar.xz
main/targetcli: upgrade to 2.1_p37
and fix build ref #3399
Diffstat (limited to 'main/targetcli/APKBUILD')
-rw-r--r--main/targetcli/APKBUILD34
1 files changed, 23 insertions, 11 deletions
diff --git a/main/targetcli/APKBUILD b/main/targetcli/APKBUILD
index 300a252af1..eaa65d54e3 100644
--- a/main/targetcli/APKBUILD
+++ b/main/targetcli/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Leonardo Arena <rnalrd@alpinelinux.org>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=targetcli
-pkgver=2.1_p35
+pkgver=2.1_p37
_ver=${pkgver/_rc/rc}
_ver=${_ver/_p/.fb}
pkgrel=0
@@ -12,10 +12,13 @@ license="AGPLv3"
depends="python py-configobj py-configshell py-ethtool py-ipaddr py-rtslib
py-simpleparse"
depends_dev=
-makedepends="$depends_dev"
+makedepends="$depends_dev py-setuptools"
install=""
subpackages="$pkgname-doc"
-source="https://github.com/agrover/targetcli-fb/archive/v${_ver}.tar.gz"
+source="$pkgname-$_ver.tar.gz::https://github.com/agrover/targetcli-fb/archive/v${_ver}.tar.gz
+ targetcli.initd
+ targetcli.confd
+ "
_giturl="git://github.com/agrover/targetcli-fb.git"
_gittag=v$_ver
@@ -49,20 +52,29 @@ prepare() {
build() {
cd "$_builddir"
- python setup.py build
+ python setup.py build || return 1
gzip targetcli.8
}
package() {
cd "$_builddir"
- python setup.py install --root="$pkgdir"
+ python setup.py install --root="$pkgdir" || return 1
mkdir -p "$pkgdir"/var/lib/target/fabric
mkdir -p "$pkgdir"/etc/target
- install -D -m644 $pkgname.8.gz "$pkgdir"/usr/share/man/man8/$pkgname.8.gz
- install -D -m755 ../../$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
- install -D -m644 ../../$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+ install -D -m644 $pkgname.8.gz \
+ "$pkgdir"/usr/share/man/man8/$pkgname.8.gz || return 1
+ install -D -m755 "$srcdir"/$pkgname.initd \
+ "$pkgdir"/etc/init.d/$pkgname || return 1
+ install -D -m644 "$srcdir"/$pkgname.confd \
+ "$pkgdir"/etc/conf.d/$pkgname || return 1
}
-md5sums="4d662f860755dacbf0371db93ed73ada v2.1.fb35.tar.gz"
-sha256sums="e81d74a801a50f6d397e83479a423e443fd65dbaf33f29cdbc3ce957d753b825 v2.1.fb35.tar.gz"
-sha512sums="df67cf33c820e4c979c1bd8791b77a468d6fed3225bf0c49d56ca6d6d7b5c88290a0b66ccdc4ce2b11d4df7dd4d42b929ff760ce703d31e134e35a0d3996223a v2.1.fb35.tar.gz"
+md5sums="c9e856d0b434650aa82f0271f1e21f6c targetcli-2.1.fb37.tar.gz
+fda390dd78ea5721544effaf35f970be targetcli.initd
+94292da9b892e3dec427e3267aabd0dc targetcli.confd"
+sha256sums="e7d11fa0a01cde443a1689966a62cab3e8a15ea500d03b0f9564b7ac44fa5a65 targetcli-2.1.fb37.tar.gz
+aba530edfbaa5e205cb2fa9b26afc08f8cfc9643cb04a183fabc3588f9d443fb targetcli.initd
+5a4b8f10660a124db63e18696769367162a62b53e3decdb3cc5e02c979ca186d targetcli.confd"
+sha512sums="e1dd8ba97bab1ac029ab1aa73549242c3f5d0657f87e898a0dfbf06577484cc37d6d52abafe12edf9c75c1ed112a00d0551757b0e6eaacabb8b7e0a434172ccc targetcli-2.1.fb37.tar.gz
+2d786340c53e78c7a07d09568faf6d700c7d8be52b0aa54d8d6f0404faf5893e4d9b12d6a776534492479d1b4b29d6c3af8bf87478e564028470318a743f7e5c targetcli.initd
+b0cedfb351dabcd6febe660dd95b5f2bab89f38849d346e46f57c32a4057f6bd2347e9a93a9e9010f4c7ff91f16c0fd33f02ad0cacf9fb801de76da4d25ad9e3 targetcli.confd"